# Created by pyp2rpm-3.3.1
%global pypi_name pafy

Name:           python-%{pypi_name}
Version:        0.5.5
Release:        %mkrel 5
Summary:        Python library to download YouTube content and retrieve metadata
Group:          Development/Python
License:        GPLv2
URL:            https://np1.github.io/pafy/
Source0:        https://github.com/mps-youtube/pafy/archive/v%{version}/%{pypi_name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3-youtube-dl

%description
Features
- Retrieve metadata such as viewcount, duration, rating, author, thumbnail,
  keywords
- Download video or audio at requested resolution / bitrate / format /
  filesize
- Command line tool (ytdl) for downloading directly from the command line
- Retrieve the URL to stream the video in a player such as vlc or mplayer
- Works with age-restricted videos and non-embeddable videos
- Small, standalone, single importable module file (pafy.py)
- Select highest quality stream for download or streaming
- Download video only (no audio) in m4v or webm format
- Download audio only (no video) in ogg or m4a format
- Retrieve playlists and playlist metadata
- Works with Python 2.6+ and 3.3+
- Optionally depends on youtube-dl (recommended; more stable)

%package -n     %{pypi_name}-ytdl
Summary:        A Youtube downloader
Group:          Development/Python
BuildArch:      noarch

%description -n %{pypi_name}-ytdl
Command line tool (ytdl) for downloading directly from the command line

%package -n     python3-%{pypi_name}
Summary:        Python 3 library to download YouTube content and retrieve metadata
Group:          Development/Python
BuildArch:      noarch
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Features
- Retrieve metadata such as viewcount, duration, rating, author, thumbnail,
  keywords
  - Download video or audio at requested resolution / bitrate / format /
    filesize
    - Command line tool (ytdl) for downloading directly from the command line
    - Retrieve the URL to stream the video in a player such as vlc or mplayer
    - Works with age-restricted videos and non-embeddable videos
    - Small, standalone, single importable module file (pafy.py)
    - Select highest quality stream for download or streaming
    - Download video only (no audio) in m4v or webm format
    - Download audio only (no video) in ogg or m4a format
    - Retrieve playlists and playlist metadata
    - Works with Python 2.6+ and 3.3+
    - Optionally depends on youtube-dl (recommended; more stable)

%prep
%setup -qn %{pypi_name}-%{version}
%apply_patches

%build
%py3_build

%install
%py3_install

%files -n %{pypi_name}-ytdl
%{_bindir}/ytdl

%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Mon Aug 23 2022 tex - 0.5.5-5pclos2022
- rebuild
